Benvenuti in Feature Definition Manager

Benvenuti nella guida online di Feature Definition Manager, lo strumento software che vi consente di creare e gestire le definizioni elemento (proprietà) che possono essere facilmente caricate sui dispositivi da campo, in modo che i topografi possano assegnarli agli oggetti incontrati sul campo. Il software di elaborazione rilievi da ufficio può poi essere impiegato per elaborare gli elementi insieme ad altri dati di rilievo registrati ed esportarli su altri sistemi (ad esempio su pacchetti CAD).

Comprendere Feature Definition Manager

Gli "elementi" sono gli oggetti naturali o prodotti dall'uomo che i topografi possono osservare e registrare quando raccolgono dati di rilievo. Esempi sono gli alberi, le recinzioni, i cancelli, i segnali, i pali delle utenze e gli edifici. Per registrare in modo facile ed efficace le informazioni sugli elementi per gli oggetti osservati, il topografo può usare il suo dispositivo da campo per selezionare da una libreria predefinita di elementi chiamata "definizioni elemento" e assegnare all'oggetto il codice elemento univoco della definizione appropriata. Di fatto esso assegna all'oggetto tutte le proprietà associate alla definizione elemento (ad esempio, il nome e il codice elemento, il simbolo usato per rappresentarlo graficamente nelle viste grafiche e altri attributi personalizzati).

Ci sono due tipi di elementi di base, ciascuno rappresentato da un genere diverso di definizione elemento:

  • L'elemento punto viene usato per identificare un elemento singolo, come un albero o un palo delle utenze. Una definizione di elemento punto è rappresentata dall'icona [image] nel riquadro Esploratore.
  • Un elemento linea è costituito da due o più punti che definiscono una linea, come una recinzione o un sentiero. Una definizione di elemento linea è rappresentata dall'icona [image] nel riquadro Esploratore. Gli elementi linea possono anche includere codici di linee di controllo usati per definire ulteriormente gli elementi lineari (ad esempio aggiungere linee, curve e archi fra punti).

Argomenti correlati

Metodologia di lavoro di Feature Definition Manager

Comprensione dell'interfaccia


Metodologia di lavoro di Feature Definition Manager

Le seguenti fasi forniscono una metodologia di lavoro di alto livello per operare con Feature Definition Manager. Fare clic sui link per maggiori informazioni.

  1. Aprire o creare un file di definizione elemento (.fxl) oppure scaricare o importare i dati di definizione elemento.
  2. Inserire e modificare le proprietà del file di definizione elemento (.fxl).
  3. Creare e modificare le categorie di definizione elemento.
  4. Creare e modificare le definizioni elemento.
  5. Creare e modificare i simboli usati per le definizioni elemento.
  6. Creare e modificare le linee di offset con le definizioni di elemento lineare.
  7. Aggiungere e modificare gli attributi delle definizioni elemento.
  8. Creare e modificare i codici di controllo linea.
  9. Creare i gruppi di codici di definizione elemento e di codici di controllo linea.
  10. Salvare il file di definizione elemento (.fxl).
  11. Esportare il file o caricarlo su un dispositivo sul campo.

Argomenti correlati

Benvenuti in Feature Definition Manager

Comprensione dell'interfaccia


Comprensione dell'interfaccia

L'interfaccia utente del Gestore definizioni elemento include degli elementi comuni.

Interfaccia utente

Barra dei menu

Fornisce una posizione da cui accedere a tutti i comandi. È possibile:

  • Fare clic sulla voce del menu
  • Premere [ALT] e la lettera sottolineata della voce di menu (accorgimento mnemonico). Quindi è possibile premere un altro accorgimento mnemonico, oppure utilizzare le frecce in alto e in basso e premere [INVIO] per selezionare.

Barra degli strumenti

Permette l'accesso veloce ai comandi usati più comunemente attraverso le icone.

La barra degli strumenti include una casella di ricerca in cui è possibile digitare un codice elemento. Premendo [Invio] si individua e seleziona l'elemento nel riquadro Esploratore.

Riquadro esploratore

Mostra una visualizzazione ad albero di categorie, elementi, codici di controllo linea e gruppi in ciascun file. Il riquadro Esploratore permette di vedere, selezionare, spostare e organizzare gli elementi nei file.

Nel riquadro Esploratore è possibile:

  • Aprire file multipli.
  • Creare nuovi file, categorie, elementi e gruppi facendo clic con il tasto destro del mouse e selezionando dal menu contestuale.

Riquadro proprietà e attributi

Visualizza e permette di modificare le proprietà di file, categorie, elementi, gruppi e codici di controllo linea selezionati.

Vista grafica

Mostra come appaiono i simboli e le annotazioni degli elementi nelle viste grafiche e permette di scegliere e spostare le annotazioni.

Nota: per fare una panoramica all'interno della vista grafica, selezionare e trascinare con il tasto centrale del mouse. Ruotare la rotella del mouse per ingrandire o ridurre.

Barra di stato

Visualizza la categoria corrente, i nomi degli elementi e la posizione del cursore nella vista grafica.

Argomenti correlati

Benvenuti in Feature Definition Manager

Metodologia di lavoro di Feature Definition Manager


Guida

La guida comprende vari modi per trovare le informazioni di cui si ha bisogno.

Opzioni
Contenuti | Fare clic su questa scheda per visualizzare tutti gli argomenti della guida in una struttura ad albero. Fare clic su un capitolo o su un argomento per visualizzarlo.
Cerca | Digitare una parola chiave nella casella di ricerca. Quindi fare clic su Elenca argomenti per cercare le occorrenze della parola negli argomenti della guida. Selezionare un argomento fra i risultati della ricerca e fare clic su Visualizza per aprirlo. La parola ricercata è evidenziata in ciascun argomento della guida. Vedere l'opzione Evidenziatore di ricerca attivo/disattivo in basso.
Nascondi/mostra | Fare clic per nascondere le schede Contenuti e Cerca.
Indietro | Fare clic per visualizzare l'argomento precedente.
Stampa | Fare clic per visualizzare la finestra di dialogo Stampa argomenti. Selezionare un'opzione per stampare solo l'argomento selezionato, oppure l'intestazione e tutti i sottoargomenti.
Menu opzioni
Arresta | Fare clic per terminare la funzione di ricerca.
Aggiorna | Fare clic per riavviare la pagina corrente.
Opzioni Internet | Fare clic per visualizzare la finestra di dialogo Opzioni Internet, dove è possibile impostare sicurezza, privacy, contenuto, connessioni, programmi ed altre impostazioni per Internet.
Evidenziatore di ricerca attivo/disattivo | Fare clic per abilitare/disabilitare l'evidenziazione di ogni ricorrenza della parola chiave negli argomenti ricercati.

Argomenti correlati

Benvenuti in Feature Definition Manager


Invia feedback

Facciamo sempre del nostro meglio per fornire all'utente la documentazione più utile possibile. Se avete commenti o suggerimenti per migliorare la guida, le note sul rilascio, i tour, i tutorial o le guide alle metodologie di lavoro, non esitate a contattarci all'indirizzo:
OSG_Documentation@Trimble.com

Tutti i commenti e i suggerimenti inviati diventano di proprietà di Trimble Navigation Limited.


Gestire file di definizione elemento (.fxl)

I file di definizione elemento (.fxl) contengono i seguenti tipi di informazioni, organizzate in un formato nativo di Feature Definition Manager:

  • Categorie di definizioni elemento
  • Definizioni elemento
  • Attributi elemento
  • Codici di controllo linea
  • Gruppi di definizioni elemento/controlli linea
  • Simboli e stili di linea

Argomenti correlati

Creare file di definizione elemento (.fxl)

Aprire file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Proprietà del file di definizione elemento (.fxl)

Creare dei modelli di file di definizione elemento (.fxl)

Salvare file di definizione elemento (.fxl)


Creare file di definizione elemento (.fxl)

Per creare un nuovo file di definizione elemento (.fxl):

  1. Fare una delle seguenti operazioni:
    • Selezionare File > Nuovo file.
    • Fare clic sull'icona [image] sulla barra degli strumenti.

    Appare una nuova icona di cartella chiamata Nuovo file nel riquadro Esploratore e il riquadro Proprietà file.

  2. Fare clic su una casella qualsiasi e modificare il valore come necessario.

    Vedere Proprietà file per istruzioni aggiuntive.

    Nota: una lunghezza massima di "0" significa che non è impostato alcun limite.

  3. Una volta fatto, fare una delle seguenti operazioni:
    • Selezionare File > Salva.
    • Fare clic sull'icona [image] sulla barra degli strumenti.

    Appare la finestra di dialogo Salva.

  4. Nella finestra di dialogo Salva digitare un nome file, selezionare un tipo di file e scegliere una posizione per archiviare il file. Quindi fare clic su OK.

Nel riquadro Esploratore Nuovo file viene sostituito dal percorso e dal nome file specificato.

Argomenti correlati

Gestire file di definizione elemento (.fxl)

Aprire file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Proprietà del file di definizione elemento (.fxl)

Creare dei modelli di file di definizione elemento (.fxl)

Salvare file di definizione elemento (.fxl)


Aprire file di definizione elemento (.fxl)

Per aprire un file di definizione elemento (.fxl) esistente:

  1. Fare una delle seguenti operazioni:
    • Selezionare File > Apri.
    • Fare clic sull'icona [image] sulla barra degli strumenti standard.

    Appare la finestra di dialogo Apri file.

  2. Nella finestra di dialogo Apri file localizzare il file da aprire e fare clic su OK.

    L'icona del file appare nel riquadro Esploratore e viene visualizzato il riquadro Proprietà file.

    Note:
    - Il file di dati campione FXL fornito con Feature Definition Manager è installato nella sottocartella dell'applicazione nella cartella Program Files. Tuttavia, quando si apre il software viene creata una seconda versione in una sottocartella della cartella Documenti che può essere aperta dal menu File. Si consiglia di utilizzare questa versione del file, non l'originale archiviato nella sottocartella dell'applicazione nella cartella Program Files.
    Per impostazione predefinita, tutti i file Feature Definition (.fxl) vengono aperti e salvati in Feature Definition Manager nel formato della versione più recente, compatibile con Trimble Access e con le versioni 12.40 e successive di Survey Controller.

Argomenti correlati

Gestire file di definizione elemento (.fxl)

Creare file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Proprietà del file di definizione elemento (.fxl)

Creare dei modelli di file di definizione elemento (.fxl)

Salvare file di definizione elemento (.fxl)


Convertire un file FCL in FXL

Per convertire un file FCL in FXL:

  1. Selezionare File > Converti file. Appare la finestra di dialogo Converti file.
  2. Digitare un nome e un percorso per il file .fcl da convertire nella casella Seleziona file sorgente o fare clic sul tasto [image] e andare al file .fcl.
  3. Digitare un nome e un percorso per il file target .fxl nella casella Definisci target oppure fare clic sul tasto [image] e andare al file .fxl.
  4. Selezionare la lingua usata nel file .fcl file dall'elenco Seleziona lingua.
  5. Selezionare la versione .fxl in cui si desidera convertire il file .fcl.
  6. Fare clic su OK.

    L'icona del file .fxl di nuova creazione appare nel riquadro Esplora il progetto.


Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Per inserire o modificare le proprietà del file di definizione elemento (.fxl):

  1. Nel riquadro Esploratore selezionare il file con cui si desidera lavorare.
  2. Fare una delle seguenti operazioni:
    • Selezionare File > Proprietà.
    • Fare clic sull'icona [image] sulla barra degli strumenti.

    Appare il riquadro Proprietà file.

  3. Fare clic su una casella qualsiasi e modificare il valore come necessario.

    Vedere Proprietà file per istruzioni aggiuntive.

    Nota: una lunghezza massima di "0" significa che non è impostato alcun limite.

  4. Una volta fatto, fare una delle seguenti operazioni:
    • Selezionare File > Salva.
    • Fare clic sull'icona [image] sulla barra degli strumenti.

    Se si impostano le proprietà di un nuovo file per la prima volta, appare la finestra di dialogo Salva. Nella finestra di dialogo Salva digitare un nome file, selezionare un tipo di file e selezionare una posizione per archiviare il file. Quindi fare clic su OK.

Argomenti correlati

Gestire file di definizione elemento (.fxl)

Creare file di definizione elemento (.fxl)

Aprire file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Proprietà del file di definizione elemento (.fxl)

Creare dei modelli di file di definizione elemento (.fxl)

Salvare file di definizione elemento (.fxl)


Proprietà del file di definizione elemento (.fxl)

Usare queste opzioni per specificare l'autore, la descrizione, se i codici elemento sono solo numerici e la lunghezza massima di alcuni campi. Sono disponibili nel riquadro Proprietà file.

Opzioni
Autore | Digitare il nome del creatore del file.
Descrizione | Digitare informazioni aggiuntive sul file.
Creato in data | Visualizza la data del primo salvataggio del file in modalità di sola lettura.
Modificato in data | Visualizza la data dell'ultimo salvataggio del file in modalità di sola lettura.
Definisce se i codici elemento sono solo numerici | No - Selezionare per consentire codici alfanumerici. Sì - Selezionare per restringere solo ai codici numerici.
Lunghezza massima del nome attributo | Digitare un valore per il numero massimo di caratteri consentito nella casella Nome dell'attributo. Nota: una lunghezza massima di "0" significa che non è impostato alcun limite.
Lunghezza massima del nome categoria | Digitare un valore per il numero massimo di caratteri consentito nella casella Nome della categoria.
Lunghezza massima del nome elemento | Digitare un valore per il numero massimo di caratteri consentito nella casella Nome dell'elemento.
Lunghezza massima del codice elemento | Digitare un valore per il numero più alto di caratteri consentito nella casella Codice degli elementi.
Numero massimo di codici/gruppi | Digitare un valore per il numero più alto di codici elemento o di controllo consentito nei gruppi. Ciò verrà determinato dal tipo di dispositivo da campo che si intende utilizzare.

Argomenti correlati

Gestire file di definizione elemento (.fxl)

Creare file di definizione elemento (.fxl)

Aprire file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Creare dei modelli di file di definizione elemento (.fxl)

Salvare file di definizione elemento (.fxl)


Creare dei modelli di file di definizione elemento (.fxl)

È possibile creare uno o più modelli contenenti i dati elemento più usati. Ciò permette di risparmiare tempo e garantisce uniformità fra i progetti.

Per creare un file con il modello:

  1. Aprire un file esistente simile al modello che si desidera creare, oppure creare un nuovo file.

    Nota: per le istruzioni sulle fasi che seguono, vedere il relativo argomento della guida.

  2. Impostare le proprietà del file come necessario.
  3. Creare, modificare ed eliminare categorie, elementi, attributi, codici di controllo e gruppi come necessario.
  4. Creare, modificare ed eliminare annotazioni e simboli come necessario.
  5. Selezionare File > Salva con nome. Appare la finestra di dialogo Salva con nome.
  6. Nella finestra di dialogo Salva con nome fare quanto segue:
    1. Digitare un nome per il file.
    2. Selezionare un tipo di file.
    3. Selezionare una posizione in cui archiviare il file.
    4. Fare clic su OK.

Argomenti correlati

Gestire file di definizione elemento (.fxl)

Creare file di definizione elemento (.fxl)

Aprire file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Proprietà del file di definizione elemento (.fxl)

Salvare file di definizione elemento (.fxl)


Salvare file di definizione elemento (.fxl)

Salvare anticipatamente e spesso il file di definizione elemento (.fxl).

Avvertenza: le modifiche non vengono salvate fino a quando non si esegue il salvataggio del file.

Per salvare un file di definizione elemento (.fxl):

  1. Fare una delle seguenti operazioni:
    • Selezionare File > Salva.
    • Fare clic sull'icona [image] sulla barra degli strumenti.

    Se il file è stato salvato in precedenza, non appare alcuna finestra di dialogo e il file viene salvato. Se è la prima volta che si salva il file, appare la finestra di dialogo Salva.

  2. Se appare la finestra di dialogo Salva, fare quanto segue:
    1. Digitare un nome per il file.
    2. Selezionare un tipo di file.
    3. Selezionare una posizione in cui archiviare il file.
    4. Fare clic su OK. Nuovo file nel riquadro Esploratore viene sostituito dal percorso e dal nome file specificato.

Per salvare un file di definizione elemento (.fxl) con un nuovo nome:

  1. Selezionare File > Salva con nome. Appare la finestra di dialogo Salva con nome.
  2. Nella finestra di dialogo Salva con nome fare quanto segue:
    1. Digitare un nome per il file.
    2. Selezionare un tipo di file.
    3. Selezionare una posizione in cui archiviare il file.
    4. Fare clic su OK. Il nuovo nome file appare nel riquadro Esploratore.

Argomenti correlati

Gestire file di definizione elemento (.fxl)

Creare file di definizione elemento (.fxl)

Aprire file di definizione elemento (.fxl)

Convertire un file FCL in un file FXL

Inserire e modificare le proprietà dei file di definizione elemento (.fxl)

Proprietà del file di definizione elemento (.fxl)

Creare dei modelli di file di definizione elemento (.fxl)


Scaricamento e importazione di dati di definizione elemento

È possibile scaricare i dati di definizione elemento direttamente dal dispositivo sul campo, oppure importare quelli salvati su un file.

Nota: per importare o scaricare i dati deve essere già stato aperto un file. I dati importati e scaricati vengono posizionati nel file corrente.

Per scaricare i dati di definizione elemento da un dispositivo sul campo:

  1. Collegare il dispositivo sul campo al computer.
  2. Fare clic su File > Importa. Appare la finestra di dialogo Importa file.
  3. Fare clic su Scarica da un dispositivo.
  4. Selezionare un dispositivo sul campo dall'elenco Nome dispositivo.
  5. Selezionare un programma dall'elenco Applicazione.
  6. Fare clic su OK. I dati scaricati appaiono nel file nel riquadro Esploratore.

Per importare i dati di definizione elemento da un file:

  1. Fare clic su File > Importa. Appare la finestra di dialogo Importa file.
  2. Fare clic su Importa da file.
  3. Digitare un nome e un percorso file nella casella File di origine o cliccare sul tasto [image] e passare al file necessario.
  4. Selezionare un programma dall'elenco Applicazione.
  5. Fare clic su OK. I dati importati appaiono nel file nel riquadro Esploratore.

Argomenti correlati

Scaricare e importare le opzioni

Formati di importazione ed esportazione

Importazione di file di dizionari di dati (.ddf)


Scaricare e importare le opzioni

Utilizzare queste opzioni per importare dati esterni da un'altra applicazione o da un dispositivo sul campo. Sono disponibili nella finestra di dialogo Importa file.

Il formato file originario di Feature Definition Manager è .fxl, che archivia e organizza in modo efficiente le definizioni degli elementi. L'importatore del programma di gestione rende questi file compatibili con molti altri formati.

Opzioni
File di origine | Specificare il percorso e il file da importare o fare clic sul pulsante [image] e andare al file.
Tipo di file | Visualizza il formato del file selezionato.
Importa da file | Fare clic per selezionare dai file archiviati sulle unità locali o di rete.
Scarica da un dispositivo | Fare clic per scegliere dai file archiviati su un dispositivo sul campo collegato.
Nome dispositivo | Visualizza il nome del dispositivo sul campo collegato.
Applicazione | Selezionare il software sul campo a cui è destinato il file dell'elemento.

Argomenti correlati

Scaricamento e importazione di dati di definizione elemento

Formati di importazione ed esportazione

Importazione di file di dizionari di dati (.ddf)


Formati di importazione ed esportazione

Feature Definition Manager permette di importare ed esportare da e verso vari programmi software nei seguenti formati.

Importazione | Formato file | Esportazione
 | .fal - file di libreria di attributi ed elementi |
 | .ddf - file del dizionario dati |
 | .csv - file di testo semplice |
 | .lst - file elenco codici Nikon |
 | .xml - File geodatabase |

Argomenti correlati

Scaricamento e importazione di dati di definizione elemento

Importazione di file di dizionari di dati (.ddf)

Scaricare e importare le opzioni


Importazione di file di dizionari di dati (.ddf)

Utilizzando il software Trimble® GPS Pathfinder® è possibile importare file di dizionari di dati (.ddf) dall'Editor dizionario di dati. L'importazione di dati di elementi in questo formato evita di dover riprodurre gli attributi in Feature Definition Manager.

Quando si importa un file di dizionario, tutte gli elementi linea e area vengono convertiti in elementi punto, ma le definizioni degli attributi non vengono modificate.

Se nella libreria delle definizioni elemento già esiste un elemento .ddf con lo stesso nome:

  • Gli attributi nella versione .ddf sovrascrivono gli attributi nell'elemento esistente.
  • Stili di punti, stili di linee e modelli di annotazioni dell'elemento esistente rimangono perché i file .ddf non contengono queste informazioni.

Se non esiste un elemento .ddf nella libreria, apparirà un punto interrogativo perché non è definito alcun stile di punto.

Altrimenti, gli elementi importati da un file di dizionario di dati sono essenzialmente gli stessi di quelli creati in Feature Definition Manager.

Argomenti correlati

Scaricamento e importazione di dati di definizione elemento

Scaricare e importare le opzioni

Formati di importazione ed esportazione


Importare i file geodatabase (.xml)

Se si importano le definizioni elemento da un file geodatabase (.xml), notare quanto segue:

  • I file geodatabase non supportano i codici di definizione elemento. Se si importa un file in Feature Definition Manager, i nomi delle definizioni sono usati per i codici delle definizioni. I nomi o i codici possono essere modificati dopo l'importazione.
  • I file geodatabase non supportano gli spazi nei nomi delle definizioni elemento. Se si importa il file geodatabase in Feature Definition Manager, al posto degli spazi nei nomi e nei codici viene incluso il trattino basso. I nomi e i codici possono essere modificati dopo l'importazione.
  • I file geodatabase non supportano le categorie. Se si importa il file geodatabase in Feature Definition Manager, tutte le definizioni di elementi importate sono assegnate a una categoria Varie. Se necessario, è possibile organizzare le definizioni elemento in categorie nuove o esistenti, dopo l'importazione.
  • I file geodatabase non supportano valori attributo predefiniti o linee e simboli. Se necessario, è possibile aggiungere queste proprietà dopo l'importazione.

Argomenti correlati

Scaricamento e importazione di dati di definizione elemento

Scaricare e importare le opzioni

Formati di importazione ed esportazione


Lavorare con le categorie di definizione elemento

È possibile usare le categorie per organizzare le definizioni di elemento in insiemi di definizioni simili. Le categorie permettono alle squadre operative di selezionare rapidamente solo le definizioni elemento di cui hanno bisogno per un certo tipo di lavoro, nel corso della preparazione per la raccolta dei dati sul campo.

Quando si seleziona una categoria nel riquadro Esploratore, nella finestra principale appare un elenco di definizioni elemento disponibili nella finestra principale.

Argomenti correlati

Creare e modificare le categorie di definizione elemento


Creare e modificare le categorie di definizione elemento

Per creare una categoria di definizione elemento:

  1. Nel riquadro Esploratore fare clic con il tasto destro del mouse sul file a cui aggiungere la nuova categoria e selezionare Nuovo > Nuova categoria. Appare il riquadro del nuovo Nome categoria.
  2. Inserire il nome della nuova categoria nella casella Nome.
  3. Fare clic in un qualsiasi punto del riquadro Esploratore. La nuova categoria è visualizzata nel riquadro Esploratore.

Per modificare il nome della categoria di definizione elemento:

  1. Nel riquadro Esploratore fare clic sul nome della categoria che si vuole modificare. Appare il riquadro della categoria Nome.
  2. Nella casella Nome digitare il nuovo nome categoria.
  3. Fare clic in un qualsiasi punto del riquadro Esploratore. La categoria a cui è stato dato il nuovo nome è visualizzata nel riquadro Esploratore.

Argomenti correlati

Lavorare con le categorie di definizione elemento


Lavorare con le definizioni elemento

Le definizioni elemento sono usate per rappresentare i tipi di elemento potenzialmente esistenti sul campo (ad esempio marciapiedi, pali di utenze e così via). Feature Definition Manager è fornito con una serie di elementi predefiniti da utilizzare come punto di inizio per costruire la propria libreria di definizioni elementi.

Ogni definizione elemento in un file deve avere un nome e un codice univochi, anche se è possibile avere più file aperti contemporaneamente contenenti definizioni di elementi dello stesso nome e/o codice.

La barra degli strumenti comprende anche la casella di ricerca, in cui è possibile digitare il nome di una definizione elemento, il codice di controllo o il gruppo. Premendo [Invio] si individua e seleziona il nome nel riquadro Esploratore.

Sono disponibili due tipi di definizioni elemento:

  • L'elemento punto viene usato per identificare un elemento singolo, come un albero o un palo delle utenze. Una definizione di elemento punto è rappresentata dall'icona [image] nel riquadro Esploratore.
  • Un elemento linea è costituito da due o più punti che definiscono una linea, come una recinzione o un sentiero. Una definizione di elemento linea è rappresentata dall'icona [image] nel riquadro Esploratore. Gli elementi linea possono anche includere codici di linee di controllo usati per definire ulteriormente gli elementi lineari (ad esempio aggiungere linee, curve e archi fra punti).

Argomenti correlati

Creare e modificare le definizioni elemento

Opzioni di definizione elemento


Creare e modificare le definizioni elemento

Per creare una definizione elemento:

  1. Nel riquadro Esploratore fare clic sul file a cui si vuole aggiungere il nuovo elemento.
  2. Fare una delle seguenti operazioni:
    • Selezionare File > Nuovo > Nuova definizione elemento.
    • Fare clic sull'icona [image] sulla barra degli strumenti Nuovo.

    Si apre la finestra di dialogo Nuova definizione elemento.

    Nota: per i dettagli sulle fasi che seguono, vedere Opzioni di definizione elemento.

  3. Digitare i valori appropriati nelle caselle Nome e Codice.
  4. Selezionare le opzioni appropriate dagli elenchi Categoria, Tipo, Colore e Layer.
  5. Se del caso, verificare le opzioni Includi nella superficie, Linea di discontinuità nella superficie o Inverti direzione. (Le opzioni Linea di discontinuità nella superficie e Inverti direzione sono disponibili solo se si sta creando una definizione di elemento lineare.)
  6. Una volta terminato fare clic su OK. Nel riquadro Esploratore viene aggiunta una nuova icona di definizione elemento, sotto la categoria selezionata.

Per modificare una definizione elemento esistente:

  1. Nel riquadro Esploratore fare clic sul nome della definizione elemento che si desidera modificare. Appare il riquadro Proprietà definizione elemento.
  2. Fare clic in una casella qualsiasi nel riquadro Proprietà definizione elemento per modificare le proprietà. Vedere Opzioni di definizione elemento per i dettagli.
  3. Premere TAB o selezionare un'altra voce nel riquadro Esploratore per accettare la modifica.

Argomenti correlati

Lavorare con le definizioni elemento

Opzioni di definizione elemento


Opzioni di definizione elemento

Usare queste opzioni per definire le proprietà di una definizione elemento. Sono disponibili nella finestra di dialogo Definizione nuovo elemento e nel riquadro Proprietà di definizione elemento.

Argomenti

Nome

Digitare un identificatore unico per la definizione elemento. Non ci possono essere due definizioni elemento con lo stesso nome all'interno di ciascun file.

Codice

Digitare un'abbreviazione unica per il nome della definizione elemento.

Categoria

Selezionare la categoria in cui archiviare la definizione elemento.

Tipo

Elemento punto - Selezionare questa opzione per creare una definizione di elemento punto. L'elemento punto viene usato per identificare un elemento singolo, come un albero o un palo delle utenze.

Elemento linea - Selezionare questa opzione per creare una definizione di elemento linea. Un elemento linea è costituito da due o più punti che definiscono una linea, come una recinzione o un sentiero.

Layer

Selezionare il layer appropriato per la definizione elemento, se i layer sono stati definiti precedentemente per il file. Oppure selezionare una delle seguenti opzioni:

0 - selezionare questa opzione per lasciare il nuovo elemento sul layer predefinito.

Punti - selezionare questa opzione per inserire un elemento punto sullo stesso layer delle altre definizioni di elementi punto.

<<Nuovo layer>> - selezionare questa opzione per visualizzare la finestra di dialogo Nuovo layer, in cui è possibile definire le seguenti proprietà del nuovo layer:

  • Nome layer
  • Colore
  • Stile linea

    Se è necessario importare uno stile di linea, selezionare l'opzione <<Importa stili di linea>>. Appare la finestra di dialogo Gestore stili di linea. Questa finestra di dialogo permette di importare e di eliminare gli stili di linea. Per le istruzioni vedere Lavorare con gli stili di linea.

Colore

Dal layer - selezionare questa opzione perché l'elemento erediti il colore di visualizzazione dal layer su cui si trova.

(colore) - selezionare un colore specifico per la visualizzazione della definizione elemento nella vista grafica.

Stile linea

Selezionare lo stile di linea appropriato.

Se è necessario importare uno stile di linea, selezionare l'opzione <<Importa stili di linea>>. Appare la finestra di dialogo Gestore stili di linea. Questa finestra di dialogo permette anche di eliminare gli stili di linea. Per le istruzioni vedere Lavorare con gli stili di linea.

Questa opzione è disponibile solo se si sta creando o modificando una definizione di elemento linea.

Scala dello stile di linea

Digitare un fattore di scala per i simboli usati per rappresentare una linea.

Questa opzione è disponibile solo se si sta creando o modificando una definizione di elemento linea.

Includi nella superficie

Verificare per permettere all'elemento di essere utilizzato nelle operazioni di creazione della superficie, dopo che i suoi codici sono stati elaborati in un'altra applicazione.

Argomenti correlati

Lavorare con le definizioni elemento

Creare e modificare le definizioni elemento

Lavorare con gli stili di linea


Lavorare con gli stili di linea

Appare la finestra di dialogo Gestore stile linea, quando si seleziona l'opzione <<Importa stili di linea>> durante la creazione o la modifica di una linea.

Per importare gli stili di linea:

  1. Selezionare le opzioni appropriate Unità di lunghezza e Riferimento unità.
  2. Fare clic sul tasto Sfoglia per localizzare il file di stile di linea da cui importare gli stili.
  3. Nell'elenco a destra selezionare gli stili di linea da importare e fare clic sul tasto Sposta (<) per spostare le selezioni nell'elenco a sinistra, oppure fare clic sul tasto Sposta (<<) per spostare tutte le voci a destra nell'elenco a sinistra. L'elenco a sinistra visualizza tutti gli stili di linea disponibili nel progetto.
  4. Una volta terminato fare clic su OK. Gli stili di linea di nuova importazione ora sono disponibili per la selezione nell'elenco Stile linea.

Per eliminare gli stili di linea:

  1. Selezionare gli stili di linea da eliminare nell'elenco a sinistra.
  2. Fare clic sul tasto Elimina (X).
  3. Una volta terminato fare clic su OK.

Argomenti correlati

Opzioni di definizione elemento

Opzioni linee di elemento di offset


Lavorare con i simboli elemento

Gli elementi possono essere visualizzati come simboli nelle viste grafiche nel software da ufficio per l'elaborazione dei rilievi. È possibile specificare quali simboli usare con ogni definizione elemento.

Argomenti correlati

Assegnare, modificare ed eliminare simboli elemento

Opzioni simbolo elemento


Assegnare, modificare ed eliminare simboli elemento

Per assegnare un simbolo ad una definizione elemento:

  1. Nel riquadro Esploratore fare clic con il tasto destro del mouse sulla definizione elemento a cui assegnare un simbolo e selezionare Nuovo > Nuovo simbolo. Appare la finestra di dialogo Simbolo.
  2. Completare i campi come descritto nelle Opzioni simbolo elemento.
  3. Una volta terminato fare clic su OK. Il simbolo di nuova assegnazione appare nell'elenco Linee e simboli.

Per modificare un simbolo:

  1. Nel riquadro Esploratore fare clic sulla definizione elemento per cui si desidera modificare un simbolo.
  2. Nell'elenco Linee e simboli fare doppio clic sul simbolo da modificare. Appare la finestra di dialogo Simbolo.
  3. Completare i campi come descritto nelle Opzioni simbolo elemento.
  4. Una volta terminato fare clic su OK.

Per eliminare un simbolo:

  1. Nel riquadro Esploratore fare clic sulla definizione elemento per cui si desidera eliminare un simbolo.
  2. Nell'elenco Linee e simboli fare clic con il tasto destro del mouse sul simbolo da eliminare.
  3. Nel menu contestuale fare clic su Elimina.

Argomenti correlati

Lavorare con i simboli elemento

Opzioni simbolo elemento


Opzioni simbolo elemento

Usare queste opzioni, visualizzate nella finestra di dialogo Simbolo, per definire le proprietà di un simbolo.

Opzioni

Nome

Digitare un identificatore per il simbolo.

Descrizione

Digitare commenti generali sul simbolo.

Simbolo

Selezionare un simbolo per rappresentare un elemento.

Se è necessario importare un simbolo, selezionare l'opzione <<Importa simboli>>. Appare la finestra di dialogo Gestore simboli. Questa finestra di dialogo permette di importare e di eliminare i simboli. Per le istruzioni vedere Lavorare con i simboli.

Colore

Da layer - selezionare questa opzione per usare il colore dal layer su cui si trovano i codici elemento nel software di elaborazione rilievo.

Da blocco / elemento - selezionare questa opzione per usare il colore dal layer su cui si trova l'elemento.

(colore) - selezionare un colore appropriato.

Posizionamento

Rotazione

Valore fisso - selezionare questa opzione per aprire la casella Valore, in cui è possibile digitare un angolo di rotazione per il simbolo. La rotazione avviene in senso antiorario.

Attributo - selezionare questa opzione per aprire l'elenco Nomi attributi, da cui è possibile selezionare il nome attributo appropriato. Il simbolo verrà ruotato in base al valore (in gradi) definito nell'attributo.

Dimensione e scala simbolo

Dimensionamento

Terreno - Selezionare questa opzione per scalare il simbolo ad una dimensione specifica del terreno sulla base di un valore o di un attributo fisso.

Carta - Selezionare questa opzione per scalare il simbolo ad una scala di stampa definita per il progetto sulla base di un valore o di un attributo fisso.

Metodo di inserimento

Valore fisso - Selezionare questa opzione per aprire la casella Valore, in cui è possibile digitare una dimensione per il simbolo.

Selezionando Terreno nella casella del gruppo Dimensionamento, il simbolo viene scalato alla misura del terreno sulla base del valore inserito. Ad esempio, se si inserisce 1 metro, la misura terreno del simbolo sarà 1 metro.

Selezionando Carta nella casella del gruppo Dimensionamento, il simbolo viene scalato alla scala di stampa definita per il progetto sulla base del valore inserito. Ad esempio, se si inserisce 1 millimetro e la scala di stampa del progetto è 100, la misura sul terreno del simbolo sarà 0,1 metri (1 mm x 100). La scala di stampa predefinita usata per visualizzare il simbolo in Feature Definition Manager è 100; tuttavia la scala di stampa del proprio progetto può essere diversa.

Attributo - selezionare questa opzione per aprire l'elenco Nomi attributi, da cui è possibile selezionare il nome attributo appropriato. Il simbolo sarà ridimensionato sulla base del valore specificato per l'attributo.

Selezionando Terreno nella casella del gruppo Dimensionamento, il simbolo viene scalato alla misura del terreno sulla base del valore specificato per l'attributo selezionato. Ad esempio, selezionando un attributo il cui valore è 1 e l'unità di visualizzazione è il metro, la grandezza sul terreno del simbolo sarà 1 metro.

Selezionando Carta nella casella del gruppo Dimensionamento, il simbolo viene scalato alla scala di stampa definita per il progetto sulla base del valore specificato per l'attributo selezionato. Ad esempio, se si seleziona un attributo il cui valore è 1 e la scala di stampa del progetto è 100, la misura del simbolo sarà 0,1 metri (1 mm x 100). La scala di stampa predefinita usata per visualizzare il simbolo in Feature Definition Manager è 100; tuttavia la scala di stampa del proprio progetto può essere diversa.

Nota: per modificare le unità di visualizzazione fare clic sul tasto Modifica preferenze. Le unità di visualizzazione selezionate qui devono corrispondere alle unità di visualizzazione usate nel progetto.

Argomenti correlati

Lavorare con i simboli elemento

Assegnare, modificare ed eliminare simboli elemento

Lavorare con i simboli


Lavorare con i simboli

La finestra di dialogo Gestore simbolo appare quando si seleziona l'opzione <<Importa simboli>> lavorando con un simbolo.

Per importare o rimuovere i simboli:

  1. nella finestra di dialogo Gestore simbolo fare clic sul tasto [image] e andare sul file che contiene i simboli da importare.

    Un file di simboli predefiniti è installato in:
    C:\Program Files\Trimble\Feature Definition Manager\PEditor\Symbols.sym
  1. Fare una delle seguenti operazioni:
    • Per importare tutti i simboli dal file selezionato fare clic sul tasto <<.
    • Per importare un solo simbolo dal file selezionato, selezionarlo nell'elenco a destra e fare clic sul tasto <.
    • Per rimuovere un simbolo, selezionarlo nell'elenco a sinistra e fare clic sul tasto X.
  2. Una volta terminato fare clic su OK.

Argomenti correlati

Opzioni simbolo elemento


Lavorare con linee di elemento di offset

Se si desidera creare una o più linee di offset per un elemento linea invece di una singola linea centrale, è possibile assegnare linee di offset alla definizione elemento usata per definire la linea. Ad esempio si possono aggiungere due linee di offset all'elemento linea per un marciapiede: una che è 2 unità a sinistra della linea centrale del marciapiede per definire il bordo sinistro e una che è 2 unità a destra di tale linea centrale per definire il bordo destro. In questo caso è possibile aggiungere alla definizione elemento due linee di offset: una usando un valore di offset orizzontale pari a 2 e una usando un valore di offset orizzontale di -2. È possibile persino usare colori e stili diversi per le linee di offset, se desiderato.

Nota: quando si aggiunge una linea di offset alla definizione di elemento linea, la linea centrale non è più visualizzata.

Argomenti correlati

Assegnare, modificare ed eliminare le linee elemento di offset

Opzioni linee di elemento di offset


Assegnare, modificare ed eliminare le linee elemento di offset

Per assegnare una linea di offset a una definizione di elemento lineare:

  1. Nel riquadro Esploratore fare clic con il tasto destro del mouse sulla definizione elemento a cui assegnare una linea di offset e selezionare Nuovo > Nuova linea. Appare la finestra di dialogo Linea.
  2. Completare i campi come descritto nelle Opzioni linea elemento di offset.
  3. Una volta terminato fare clic su OK. La linea di offset di nuova assegnazione appare nell'elenco Linee e simboli.

Per modificare una linea di offset:

  1. Nel riquadro Esploratore fare clic sulla definizione elemento per cui si desidera modificare una linea di offset.
  2. Nell'elenco Linee e simboli fare doppio clic sulla linea di offset da modificare. Appare la finestra di dialogo Linea.
  3. Completare i campi come descritto nelle Opzioni linea elemento di offset.
  4. Una volta terminato fare clic su OK.

Per eliminare una linea di offset:

  1. Nel riquadro Esploratore fare clic sulla definizione elemento eliminare una linea di offset.
  2. Nell'elenco Linee e simboli fare clic con il tasto destro del mouse sulla linea di offset da eliminare.
  3. Nel menu contestuale fare clic su Elimina.

Argomenti correlati

Lavorare con linee elemento di offset

Opzioni linee elemento di offset


Opzioni linee elemento di offset

Usare queste opzioni, visualizzate nella finestra di dialogo Linea, per definire le proprietà di una linea elemento di offset.

Opzioni

Nome

Digitare un identificatore per la linea di offset.

Descrizione

Digitare dei commenti generali sulla linea di offset.

Stile

Selezionare lo stile di linea appropriato.

Se è necessario importare uno stile di linea, selezionare l'opzione <<Importa stili di linea>>. Appare la finestra di dialogo Gestore stili di linea. Questa finestra di dialogo permette di importare e di eliminare gli stili di linea. Per le istruzioni vedere Lavorare con gli stili di linea.

Scala

Digitare un fattore di scala per i simboli usati per rappresentare la linea.

Colore

Da layer - selezionare questa opzione per usare il colore dal layer su cui si trovano i codici elemento nel software di elaborazione rilievo.

Da blocco / elemento - selezionare questa opzione per usare il colore dal layer su cui si trova l'elemento.

(colore) - selezionare un colore appropriato.

Offset orizzontale

Digitare la distanza per eseguire l'offset orizzontale della linea dalla linea centrale dell'elemento.

Ciò crea una linea aggiuntiva.

Offset verticale

Digitare la distanza per eseguire l'offset verticale della linea dalla linea centrale dell'elemento.

Ciò crea una linea aggiuntiva.

Tipo di compensazione

Superficie - selezionare questa opzione per usare le unità attuali di progetto per le distanze di compensazione verticale e orizzontale.

Foglio - selezionare questa opzione per usare le unità cartacee per le distanze di compensazione verticale e orizzontale.

Argomenti correlati

Lavorare con linee elemento di offset

Assegnare, modificare ed eliminare le linee elemento di offset

Lavorare con gli stili di linea


Lavorare con gli attributi elemento

Gli attributi elemento sono delle caratteristiche assegnate alle definizioni elemento usate per descrivere ulteriormente gli elementi stessi. Gli attributi elemento possono essere usati per:

  • predefinire caratteristiche che si incontrano abitualmente, in modo che le squadre operative possano applicarle velocemente agli elementi. Ad esempio, con la funzione "Albero" è possibile aggiungere gli attributi Specie, Altezza, Circonferenza e Condizione. Ogni elemento albero registrato sul campo può avere i propri valori per tali attributi.
  • Controllare che tipo di informazioni possono e devono essere raccolte relativamente agli elementi sul campo. Ad esempio, se si desidera richiedere un simbolo per ogni albero registrato, è possibile aggiungere l'attributo del simbolo all'elemento albero e renderlo un attributo Necessario. Il dispositivo per la raccolta di dati sul campo richiederà che la squadra operativa specifichi un simbolo per ogni elemento registrato.

Argomenti correlati

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Assegnare e modificare gli attributi elemento

Per assegnare un attributo a una definizione di elemento:

  1. Nel riquadro Esploratore fare clic con il tasto destro del mouse sulla definizione a cui assegnare un attributo e selezionare Nuovo > Nuovo attributo > (tipo di attributo). Appare la finestra di dialogo del tipo di attributo selezionato.

    Vedere Opzioni attributo elemento per le descrizioni di ogni tipo di attributo e i collegamenti agli argomenti che descrivono come inserire le proprietà di ciascuno nella finestra di dialogo specificata (tipo di attributo).

  2. Una volta terminato di specificare le proprietà nella finestra di dialogo (tipo di attributo), fare clic su OK. Il nuovo attributo assegnato appare nell'elenco Attributi della definizione elementi nella finestra principale.

Per modificare un attributo esistente:

  1. Nel riquadro Esploratore fare clic sulla definizione elemento per cui si desidera modificare un attributo.
  2. Nell'elenco Attributi fare doppio clic sull'attributo da modificare. Si apre la finestra di dialogo (tipo di attributo).
  3. Completare il campo come descritto nelle Opzioni attributo elemento.
  4. Una volta terminato fare clic su OK.

Argomenti correlati

Lavorare con gli attributi elemento

Opzioni attributo elemento


Opzioni attributo elemento

Le seguenti opzioni permettono di aggiungere gli attributi che le squadre operative possono scegliere quando registrano un elemento sul campo. Sono disponibili nel menu contestuale quando si fa clic con il tasto destro del mouse su un elemento e si seleziona Nuovo > Nuovo attributo.

Opzioni

Numero

Selezionare questa opzione per acquisire attributi con valori numerici, come la circonferenza o l'altezza degli alberi, oppure le concentrazioni di sostanze inquinanti in luoghi particolari.

È possibile inserire numeri interi o decimali nelle caselle di attribuzione dei numeri.

Testo

Selezionare questa opzione per acquisire attributi usando caratteri alfanumerici, come nomi di strade o il nome del proprietario dell'utenza.

Nonostante sia possibile aggiungere numeri in un attributo di Testo, è consigliabile utilizzare l'attributo Numero se esso è sempre numerico.

Data

Selezionare questa opzione per acquisire attributi con formati di data standard, come le date di installazione dei pali di sostegno delle linee elettriche.

Ora

Selezionare questa opzione per acquisire attributi in formato di orario, come l'ora e i minuti in cui è stata registrato l'elemento.

Elenco

Selezionare questa opzione per acquisire attributi scegliendo fra varie opzioni in un elenco, come i cinque possibili tipi di segnaletica per il progetto.

File

Selezionare questa opzione se è necessario acquisire attributi file.

Foto

Selezionare questa opzione se è necessario acquisire attributi foto.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento


Attributo elemento: opzioni numero

Utilizzare queste opzioni per definire gli attributi composti da valori numerici. Sono disponibili nella finestra di dialogo Numero.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Valore predefinito

Digitare il valore che sarà inserito più di frequente, che apparirà automaticamente nella casella attributo.

Specifico per dispositivo sul campo

Valore minimo

Digitare il numero più basso consentito per l'attributo.

Valore massimo

Digitare il numero più alto consentito per l'attributo.

Numero di decimali

Digitare il numero di decimali che si desidera consentire dopo la virgola decimale. Inserire un valore pari a 0 per consentire l'inserimento solo di numeri interi.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni dei numeri interi

Utilizzare queste opzioni per definire gli attributi composti da valori interi. Sono disponibili nella finestra di dialogo Intero.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Valore predefinito

Digitare il valore che sarà inserito più di frequente, che apparirà automaticamente nella casella attributo.

Specifico per dispositivo sul campo

Valore minimo

Digitare l'intero più basso consentito per l'attributo.

Valore massimo

Digitare l'intero più alto consentito per l'attributo.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni testo

Utilizzare queste opzioni per definire gli attributi di testo composti di stringhe di lettere, numeri e altri caratteri da inserire. Sono disponibili nella finestra di dialogo Testo.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito nella definizione del file elemento.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Valore predefinito

Digitare il valore che sarà inserito più di frequente, che apparirà automaticamente nella casella attributo. Se non si inserisce un valore predefinito, questo attributo inizialmente è impostato su zero.

Lunghezza massima

Digitare la lunghezza massima di caratteri che possono essere inseriti (fino a 100 caratteri). In questo campo deve essere inserito un valore. Quello predefinito è 30.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni dati

Usare queste opzioni per definire un formato per un attributo di data. Sono disponibili nella finestra di dialogo Data.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo utilizzo in ufficio - selezionare questa opzione quando l'attributo non è impostato sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando un attributo deve essere inserito sul campo.

Formato

Selezionare un formato di data dall'elenco.

Nota: per esportare dati in uno dei formati GIS disponibili, assicurarsi che il formato specificato per qualsiasi attributo di data sia lo stesso di quello sul computer che contiene il software GIS. Molti sistemi GIS verificano l'impostazione della data del computer durante l'importazione di file e presuppongono che le date nei file siano nello stesso formato delle impostazioni del computer. Se le impostazioni sono differenti, nel software GIS si possono ottenere valori non validi.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni tempo

Usare queste opzioni per definire il formato di un attributo di tempo. Sono disponibili nella finestra di dialogo Tempo.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Formato

Selezionare un formato di orario nell'elenco.

Nota: per esportare dati in uno dei formati GIS disponibili, assicurarsi che il formato specificato per qualsiasi attributo di data sia lo stesso di quello sul computer che contiene il software GIS. Molti sistemi GIS verificano l'impostazione della data del computer durante l'importazione di file e presuppongono che le date nei file siano nello stesso formato delle impostazioni del computer. Se le impostazioni sono differenti, nel software GIS si possono ottenere valori non validi.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni elenco

Utilizzare queste opzioni per definire gli attributi che richiedono un numero predefinito e selezionabile di valori. Sono disponibili nella finestra di dialogo Elenco.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Valori elenco

Utilizzando i pulsanti, costruire un elenco da cui è possibile selezionare un'opzione.

Su - fare clic su questo pulsante per spostare la voce selezionata in alto nell'elenco.

Giù - fare clic su questo pulsante per spostare la voce selezionata in basso nell'elenco.

Predefinito - fare clic su questo pulsante per fare della voce selezionata il valore che appare nell'elenco se non si seleziona altro.

Aggiungi - fare clic su questo pulsante per effettuare un nuovo inserimento nell'elenco. Quindi digitare l'inserimento.

Rimuovi - fare clic su questo pulsante per eliminare una voce dall'elenco.

Nota: per modificare un inserimento nell'elenco, selezionarlo in Valori elenco e digitare un nuovo nome.

Predefinito

Digitare il valore che sarà inserito più di frequente, che apparirà automaticamente nella casella attributo. Se non si inserisce un valore predefinito, questo attributo inizialmente è impostato su zero.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni file

Usare queste opzioni per definire gli attributi dei file. Sono disponibili nella finestra di dialogo File.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Attributo elemento: opzioni foto

Usare queste opzioni per definire gli attributi delle foto. Sono disponibili nella finestra di dialogo Foto.

Opzioni

Nome

Digitare un identificatore per l'attributo.

Descrizione

Digitare commenti generali sull'attributo.

Questa casella è opzionale e non viene utilizzata durante il lavoro sul campo.

Modalità di inserimento

Solo per l'uso in ufficio - selezionare questa opzione quando l'attributo non può essere specificato sul dispositivo sul campo e deve essere inserito via computer.

Opzionale - selezionare questa opzione quando l'utente può scegliere se specificare o meno l'attributo.

Necessario - selezionare questa opzione quando l'attributo deve essere specificato con un valore valido.

Genera automaticamente - selezionare questa opzione se l'attributo deve essere una foto acquisita tramite dispositivo.

Genera automaticamente - solo lettura - selezionare questa opzione se l'attributo deve essere una foto acquisita tramite dispositivo, che non può essere modificata nello stesso.

Argomenti correlati

Lavorare con gli attributi elemento

Assegnare e modificare gli attributi elemento

Opzioni attributo elemento


Lavorare con i codici di controllo linea

I topografi possono assegnare dei codici di controllo linea ai punti durante la raccolta dei dati sul campo, per specificare le proprietà di un elemento di linea associato. Ad esempio possono assegnare un codice di controllo linea a un punto per specificare dove inizia o finisce una linea elemento. Se i codici elemento vengono elaborati con il software da ufficio per i rilievi, i codici di controllo linea modificano gli oggetti linea in base alle istruzioni del codice.

Nota: è possibile modificare l'elenco predefinito dei codici di controllo disponibili, ma non è possibile modificare l'azione eseguita da ognuno.

Argomenti correlati

Creazione e modifica dei codici di controllo linea

Opzioni del codice di controllo linea


Creazione e modifica dei codici di controllo linea

Per creare un nuovo codice di controllo linea:

  1. Fare una delle seguenti operazioni:
    • Selezionare File > Nuovo > Nuovo codice di controllo linea.
    • Fare clic con il tasto destro del mouse nel riquadro dell'esploratore e selezionare Nuovo > Nuovo codice di controllo linea.
    • Fare clic sull'icona i_new control code sulla barra degli strumenti.

    Appare la finestra di dialogo Codice di controllo linea.

    Nota: vedere Opzioni codice di controllo linea per le descrizioni complete di tutte le opzioni disponibili nella finestra di dialogo Codice di controllo linea.

  2. Digitare un identificatore per il codice nella casella Nome.
  3. Digitare un'abbreviazione per il codice nella casella Codice.
  4. Selezionare un'azione da eseguire per il codice nell'elenco Tutte le azioni. La casella Azione selezionata sopra ad esso visualizza le informazioni su come il codice modifica un elemento.
  5. Fare clic su OK.

Per modificare un codice di controllo linea esistente:

  1. Selezionare il codice da modificare nel riquadro Esploratore. Nella finestra principale appare Proprietà del codice di controllo linea.
  2. Fare clic sulle caselle Nome o Codice e modificare come necessario.

    Nota: non è possibile modificare l'azione per un controllo di linea esistente.

  3. Premere TAB o selezionare un'altra voce nel riquadro Esploratore per accettare la modifica.

Argomenti correlati

Lavorare con i codici di controllo linea

Opzioni del codice di controllo linea


Opzioni del codice di controllo linea

Utilizzare queste opzioni per modificare i codici di controllo e crearne di nuovi. Sono disponibili nella finestra di dialogo Codice di controllo nuova linea.

Opzioni

Nome

Digitare un identificatore per il codice di controllo.

Codice

Digitare un'abbreviazione del codice di controllo linea da utilizzare sul campo.

Azione selezionata

Visualizza le informazioni su come il codice di controllo selezionato modifica un elemento.

Tutte le azioni

Inizia linea

Selezionare questa azione per iniziare una nuova sequenza di unione linea. La sequenza di unione precedente con lo stesso codice è terminata.

Utilizzare questa funzione per evitare che il punto venga unito a quello precedente con lo stesso codice e avviare una nuova sequenza unione.

In alcune applicazioni questo codice di controllo non è necessario per avviare una nuova linea, se gli elementi della linea con lo stesso nome vengono uniti automaticamente.

Nota: è possibile utilizzare Inizia linea per produrre risultati simili a Termina linea.

Termina linea

Selezionare questa azione per terminare una sequenza di unione linea.

Utilizzare quando si desidera evitare che una linea venga disegnata fra il punto con il codice di controllo Termina linea e il punto successivo con lo stesso codice dell'elemento.

Unisci al punto

Selezionare questa azione per unire una sequenza di linee a un ID punto specifico.

Ignora unisci

Selezionare questa azione per ignorare le operazioni di unione.

Chiudi sul punto

Selezionare questa azione per chiudere sul primo punto in una sequenza con lo stesso codice elemento. Sono necessari almeno tre punti. I punti devono avere lo stesso codice elemento e il codice elemento del punto finale deve essere seguito dal codice di controllo Chiudi.

Utilizzare questo codice per chiudere un elemento quando ne viene iniziato uno nuovo o la funzione è terminata.

Se c'è uno stile di linea definito per il codice elemento comune che è stato utilizzato, la chiusura viene disegnata utilizzando tale stile. Se non c'è uno stile di linea definito, la linea viene disegnata secondo lo stile predefinito per il layer corrente.

Suggerimento: impostare prima lo stile di linea predefinito per i layer.

Inizia l'arco tangente

Selezionare questa azione per iniziare un arco tangente. Sono necessari dei punti che definiscono la tangente in entrata. L'azimut fra il punto che ha il codice di controllo dell'arco iniziale e il punto precedente con lo stesso codice elemento definisce la direzione della tangente in entrata.

Un arco può essere creato in questi casi:

  • Un arco che inizia e termina tangentemente dove ci sono punti disponibili per definire l'entrata e l'uscita delle direzioni tangenti. Ciò significa che un arco completamente tangenziale richiede quattro punti. Se i raggi calcolati dai due punti tangenti non sono esattamente uguali, il sistema aggiungerà automaticamente un nuovo punto e accorcerà il segmento della linea tangenziale per ottenere due punti realmente tangenti.
  • Un arco che inizia tangente e termina non tangente con un punto disponibile per definire l'ingresso della direzione tangente. Il sistema utilizza il punto conosciuto e la direzione della tangente insieme al punto terminale dell'arco per calcolare il punto centrale dell'arco e aggiungere l'arco stesso.
  • Un arco che inizia non tangente, uno o più punti fissi sull'arco e quindi che termina non tangente. Il sistema utilizza punti fissi lungo l'arco per calcolare il punto centrale dell'arco che meglio si adatta attraverso i punti, quindi aggiunge l'arco. Nel caso vengano utilizzati tre punti, l'arco passerà attraverso il punto mediano.

Termina l'arco tangente

Selezionare questa azione per terminare un arco tangente. Sono necessari dei punti che definiscono la tangente in uscita. L'azimut fra il punto con il codice di controllo dell'arco iniziale e il punto successivo con lo stesso codice elemento definisce la direzione della tangente in uscita.

Quando si utilizzano questi codici di controllo, il punto centrale dell'arco è determinato mediante il calcolo utilizzando i dati disponibili.

Inizia l'arco non tangente

Selezionare questa azione per iniziare un arco non tangente. Non è necessario un punto precedente con lo stesso codice.

Un arco non tangente richiede tre o più punti (il punto Nuovo arco, il punto Termina su arco e fra questi uno o più punti che definiscano l'arco). I punti utilizzati devono avere lo stesso codice elemento.

Nota: se non ci sono punti con lo stesso codice elemento fra il punto Nuovo arco e il punto Termina su arco, l'arco viene disegnato come tangente dove il punto centrale è il punto mediano della linea fra i due punti.

Termina l'arco non tangente

Selezionare questa azione per terminare un arco non tangente. Non è necessario alcun punto successivo con lo stesso codice elemento per terminare un arco in questo modo.

Ciò termina l'arco non tangente iniziato dal precedente codice di controllo nuovo arco. Un arco è definito da tre punti. Quando vengono utilizzati questi codici di controllo, viene disegnato l'arco più adatto fra i punti. Dalla curva viene determinato il punto centrale.

Argomenti correlati

Lavorare con i codici di controllo linea

Creazione e modifica dei codici di controllo linea


Lavorare con gruppi di definizioni elemento/controlli linea

Alcuni dispositivi sul campo permettono di raggruppare un insieme di codici di controllo di linee e di definizione elemento, in modo che corrispondano ai pulsanti sul dispositivo. È possibile creare gruppi multipli da cui le squadre di lavoro possono selezionare quello necessario per il particolare lavoro.

Argomenti correlati

Creare e modificare gruppi di definizioni elemento/controlli linea

Opzioni gruppo


Creare e modificare gruppi di definizioni elemento/controlli linee

Per creare un gruppo di definizioni elemento e di codici di controllo linee:

  1. Nel riquadro Esploratore fare clic sul file a cui si vuole aggiungere il nuovo gruppo.
  2. Fare una delle seguenti operazioni:
    • Selezionare File > Nuovo > Nuovo gruppo.
    • Fare clic sull'icona [image] sulla barra degli strumenti.

    Appare la finestra Proprietà gruppo e un'icona per il nuovo gruppo nel riquadro Esploratore.

    Nota: vedere Opzioni gruppo per la descrizione completa di tutte le opzioni disponibili nel riquadro Proprietà gruppo.

  3. Digitare i valori nelle caselle Nome e Descrizione.
  4. Selezionare una definizione di elemento o un codice di controllo linea nell'elenco Tutti i codici.
  5. Fare clic sul tasto della freccia a sinistra per spostare il codice a sinistra all'interno dell'elenco Codici nel gruppo.

    Nota: è anche possibile fare doppio clic sui codici nell'elenco Tutti i codici per spostarli nel gruppo.

    È possibile unire due o più definizioni elemento e/o codici di controllo linee per facilitare l'assegnazione degli elementi sul campo, come spiegato nella fase successiva.

  6. Per unire i codici di definizione elemento e/o di controllo linee:
    1. Selezionare un codice che si desidera unire nell'elenco Codici nel gruppo.
    2. Nell'elenco Tutti i codici selezionare un codice da unire con quello selezionato dall'elenco Codici nel gruppo.
    3. Fare clic sull'icona [image] . Il secondo codice selezionato viene combinato con quello nell'elenco Codici nel gruppo.
    4. Ripetere le fasi dalla a alla c come necessario per unire i codici aggiuntivi.
  7. Ripetere questa procedura come necessario per aggiungere codici aggiuntivi al gruppo. Il numero totale di codici che è possibile includere appare in alto nell'elenco Codici nel gruppo.

    Nota: i codici degli elementi possono essere posizionati in più di un gruppo. Inoltre è possibile utilizzare più di una volta un codice elemento nel gruppo, purché sia raggruppato con un codice di controllo diverso.

  8. Se necessario, fare clic sulle icone con le frecce in alto e in basso per disporre i codici all'interno del gruppo.
  9. Quando fatto, fare clic su un oggetto diverso nel riquadro Esploratore per salvare le modifiche.

Per modificare un gruppo esistente:

  1. Nel riquadro Esploratore fare clic sul nome del gruppo che si desidera modificare. Si apre la finestra di dialogo Proprietà gruppo.
  2. Se necessario, modificare il nome e/o la descrizione.
  3. Se necessario eseguire le modifiche nell'elenco Codici nel gruppo, come spiegato sopra.
  4. Quando fatto, fare clic su un oggetto diverso nel riquadro Esploratore per salvare le modifiche.

Argomenti correlati

Lavorare con gruppi di definizioni elemento/controlli linee

Opzioni gruppo


Opzioni gruppo

Utilizzare queste opzioni per creare un nuovo gruppo di codici di definizioni elemento e di controllo linee da usare in un dispositivo sul campo. Sono disponibili nel riquadro Proprietà gruppo.

Opzioni

Nome

Digitare un identificatore per il gruppo.

Descrizione

Digitare informazioni aggiuntive sul gruppo.

Codici

Codici nel gruppo - visualizza ogni codice di controllo della definizione elemento e della linea aggiunto al gruppo fino a quel momento, permettendo di selezionarli, rimuoverli o riorganizzarli.

Tutti i codici - visualizza tutti i codici di controllo della definizione elemento e della linea nel file corrente e permette di selezionarli e aggiungerli al gruppo.

Metti in ordine alfabetico - selezionare questa casella per mettere in ordine alfabetico nel dispositivo sul campo l'elenco dei Codici nel gruppo.

Argomenti correlati

Lavorare con gruppi di definizioni elemento/controlli linea

Creare e modificare gruppi di definizioni elemento/controlli linea


Esportazione e caricamento dei dati di definizione elemento

È possibile caricare dati di definizione elemento direttamente su un dispositivo da campo o esportarli su un file. Vengono esportati tutti gli elementi, sia che contengano o meno gli attributi, ma non i codici di controllo linea. Le definizioni elemento sono esportate come elementi punto.

Per caricare i dati di definizione elemento da un dispositivo sul campo:

  1. Accertarsi che il file da cui si desidera esportare i dati o uno dei suoi nodi nidificati sia selezionato nel riquadro Esploratore.
  2. Collegare il dispositivo sul campo al computer.
  3. Fare clic su File > Esporta. Appare la finestra di dialogo Esporta file.
  4. Fare clic su Carica su un dispositivo.
  5. Selezionare un dispositivo sul campo dall'elenco Nome dispositivo.
  6. Selezionare un programma dall'elenco Applicazione.
  7. Fare clic su OK.

Per esportare i dati di definizione elemento su un file:

  1. Accertarsi che il file da cui si desidera esportare i dati o uno dei suoi nodi nidificati sia selezionato nel riquadro Esploratore.
  2. Fare clic su File > Esporta. Appare la finestra di dialogo Esporta file.
  3. Fare clic su Esporta su file.
  4. Selezionare il formato per il file esportato nell'elenco Tipo di file.
  5. Fare una delle seguenti operazioni:
    • Digitare un percorso file e il nome nella casella File target.
    • Fare clic sul tasto [image] per visualizzare la finestra di dialogo Salva con nome. Nella finestra di dialogo Salva con nome digitare un nome file, selezionare un tipo di file e selezionare una posizione per archiviare il file. Quindi fare clic su OK. Il percorso e il nome file sono visualizzati nella casella File target.
  6. Nella finestra di dialogo Esporta file fare clic su OK.

Argomenti correlati

Opzioni di esportazione e caricamento

Formati di importazione ed esportazione

Esportazione di file di dizionari di dati (.ddf)


Opzioni di esportazione e scaricamento

Usare queste opzioni per inviare dati ad un'altra applicazione o ad un dispositivo sul campo. Sono disponibili nella finestra di dialogo Esporta file.

Opzioni
File di origine | Selezionare o digitare un percorso per il file che si desidera esportare o fare clic sull'icona [image] per passare ad un'altra directory.
Esporta su file | Selezionare questa opzione per esportare il file di origine in un altro file nel computer o nella rete.
Carica su dispositivo | Selezionare questa opzione per caricare il file su un dispositivo sul campo.
Tipo di file | Selezionare il formato di file da esportare.
File di destinazione | Selezionare o digitare un percorso su cui si desidera esportare il file o fare clic sull'icona [image] per passare ad un'altra directory.
Nome dispositivo | Visualizza il nome del dispositivo sul campo collegato.
Applicazione | Selezionare il software a cui è destinato il file.

Argomenti correlati

Esportazione e caricamento dei dati di definizione elemento

Formati di importazione ed esportazione

Esportazione di file di dizionari di dati (.ddf)


Esportazione di file di dizionari di dati (.ddf)

Utilizzando il software Trimble® GPS Pathfinder è possibile esportare file di dizionari di dati (.ddf) nell'Editor dizionario di dati. L'esportazione dei dati degli elementi in questo formato evita di dover riprodurre gli attributi nell'Editor dizionario di dati.

  • Tutte le definizioni elemento nel file vengono esportate nel file di dizionario dei dati, a prescindere da ciò che è selezionato. Le definizioni elemento vengono esportate sia che contengano o meno gli attributi.
  • Le definizioni elemento sono esportate come elementi punto. È possibile cambiare il tipo di elemento in linea nell'Editor dizionario di dati.
  • I file di dizionario dei dati contengono solo nome, codice e attributi dell'elemento. Non vengono esportate altre informazioni come layer, stili delle linee, gruppi o codici di controllo.

Argomenti correlati

Esportazione e caricamento dei dati di definizione elemento

Opzioni di esportazione e caricamento

Formati di importazione ed esportazione


Visualizzare i report

Sono disponibili vari report per la visualizzazione. Per visualizzare un report selezionare File > Report e il report da visualizzare. Il report appare in una finestra browser separata.


Previous Topic

Next Topic

Note legali


Sede dell’azienda

Trimble Navigation Limited
Engineering and Construction Division
5475 Kellenburger Road
Dayton, Ohio 45424-1099
U.S.A.

Telefono: +1-937-233-8921
1-800-538-7800 (numero verde per gli USA)
Fax: +1-937-233-9441

www.trimble.com

Copyright e marchi di fabbrica

© 2006-2011, Trimble Navigation Limited. Tutti i diritti riservati.

Trimble, il logo Globe & Triangle sono marchi di Trimble Navigation Limited registrati presso l’Ufficio Marchi e Brevetti degli Stati Uniti e di altri paesi. Digital Fieldbook e Trimble Geomatics Office sono marchi di Trimble Navigation Limited. Interlock e Recon sono marchi di Tripod Data Systems, Inc., una consociata completamente controllata di Trimble Navigation Limited. Microsoft e Windows sono marchi o marchi registrati di Microsoft Corporation negli Stati Uniti e/o in altri paesi. Tutti gli altri marchi appartengono ai rispettivi proprietari.

Comunicazione sul rilascio

Questa è la guida per la versione 2.08 del software Trimble® Feature Definition Manager.